[armel] elmerfem FTBFS on oneiric

Bug #842102 reported by Matthias Klose on 2011-09-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
elmerfem (Ubuntu)
Medium
Unassigned

Bug Description

[armel] elmerfem FTBFS on oneiric

gfortran -I/build/buildd/elmerfem-6.1.0.svn.5272.dfsg/debian/tmp/usr/include -fPIC -fPIC -I. -Ibinio -I/usr/include/mpi -I/usr/include -c Solver.f90
gcc -DHAVE_CONFIG_H -I. -I.. -I/build/buildd/elmerfem-6.1.0.svn.5272.dfsg/debian/tmp/usr/include -I/usr/include/freetype2 -I/usr/include/mpi -g -O2 -I/build/buildd/elmerfem-6.1.0.svn.5272.dfsg/debian/tmp/usr/include -fPIC -fPIC -I/usr/include -I/usr/include/mpi -MT mpi_stubs.o -MD -MP -MF .deps/mpi_stubs.Tpo -c -o mpi_stubs.o mpi_stubs.c
mv -f .deps/mpi_stubs.Tpo .deps/mpi_stubs.Po
gfortran -L. -Wl,-Bsymbolic-functions -L/usr/lib \
       -o ElmerSolver Solver.o mpi_stubs.o \
       -L. -lelmersolver
./libelmersolver.so: undefined reference to `ompi_mpi_comm_world'
collect2: ld returned 1 exit status
make[4]: *** [ElmerSolver] Error 1
make[4]: Leaving directory `/build/buildd/elmerfem-6.1.0.svn.5272.dfsg/fem/src'
make[3]: *** [all-recursive] Error 1

Matthias Klose (doko) wrote :

2011-09-05 19:44:38 INFO Removing candidates:
2011-09-05 19:44:38 INFO elmer 5.5.0.svn.4897.dfsg-1ubuntu1 in oneiric armel
2011-09-05 19:44:38 INFO libelmersolver-6.1 5.5.0.svn.4897.dfsg-1ubuntu1 in oneiric armel
2011-09-05 19:44:38 INFO libelmer-dev 5.5.0.svn.4897.dfsg-1ubuntu1 in oneiric armel
2011-09-05 19:44:38 INFO Removed-by: Matthias Klose
2011-09-05 19:44:38 INFO Comment: NBS, FTBFS on armel, LP: #842102
2011-09-05 19:44:38 INFO 3 packages successfully removed.

Changed in elmerfem (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Tehnick (tehnick) wrote :

Hi,

Version 6.1.0.svn.5272.dfsg-1 of this package was built successfully in Debian:
https://buildd.debian.org/status/logs.php?pkg=elmerfem&ver=6.1.0.svn.5272.dfsg-1
https://buildd.debian.org/status/fetch.php?pkg=elmerfem&arch=armel&ver=6.1.0.svn.5272.dfsg-1&stamp=1313765751

So the problem is in build dependencies or in Ubuntu specific patches.

Unfortunately there is only useless diff between 6.1.0.svn.5272.dfsg-1ubuntu1 and 6.1.0.svn.5272.dfsg-1ubuntu2:
https://launchpadlibrarian.net/78985492/elmerfem_6.1.0.svn.5272.dfsg-1ubuntu1_6.1.0.svn.5272.dfsg-1ubuntu2.diff.gz

But as we can see in change log there were no changes related with MPI in version 6.1.0.svn.5272.dfsg-1ubuntu1:
http://changelogs.ubuntu.com/changelogs/pool/universe/e/elmerfem/elmerfem_6.1.0.svn.5272.dfsg-1ubuntu2/changelog

So I think the problem is in mpi-default-dev package, but not in elmerfem.

Regards,
Boris

Tehnick (tehnick) wrote :

Hmm, or compiler options in Ubuntu differ from Debian ones.

Matthias Klose (doko) wrote :

> ./libelmersolver.so: undefined reference to `ompi_mpi_comm_world'

the library needs to be linked against the library providing `ompi_mpi_comm_world', which it doesn't do. Maybe not seen on Debian, because it's not built using --as-needed by default.

Tehnick (tehnick) wrote :

> Maybe not seen on Debian, because it's not built using --as-needed by default.

Exactly. This compiler option is not enabled in Debian by default.

Tehnick (tehnick) wrote :

Ubuntu Oneiric is not supported anymore.

Changed in elmerfem (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers